<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>
        <record id="view_data_skp_config_form" model="ir.ui.view">
            <field name="name">app.skp.settings.form</field>
            <field name="model">app.skp.settings</field>
            <field name="arch" type="xml">
                <form string="Konfigurasi Integrasi SKP" version="7.0" class="oe_form_configuration">
                    <header>

                    </header>
                    
                    <notebook>
                        <page string="Aktifasi User">
                            <separator string="Aktifasi User"/>

                            <button type="object" name="activate_all_users" string="Aktifkan Semua Pegawai" icon="gtk-execute" /><br/>
                            <button type="object" name="deactivate_all_users" string="Non Aktifkan Semua Pegawai"  />
                        </page>
                        <page string="Aktifasi User Per SKPD">
                            <separator string="Aktifasi User Per SKPD"/>
                            <group>
                                <field name="param_company_id" />
                                <br/>
                                <button type="object" name="activate_all_users_opd" string="Aktifkan Semua Pegawai" icon="gtk-execute" />
                                <br/>
                                <button type="object" name="deactivate_all_users_opd" string="Non Aktifkan Semua Pegawai"  />
                            </group>
                        </page>
                    </notebook>
                    

                    <notebook>
                        <page string="Prestasi Kerja">

                            <group string="Hasil Penilaian Prestasi">
                                <field name="param_target_period_month" class="oe_inline" invisible="True"/>
                                <field name="param_target_period_year"  class="oe_inline" invisible="True"/>
                                <field name="param_type"  />
                                <field name="param_list_of_ids"  />
                                <button type="object" name="action_recalculate_by_ids" string="Akumulasi Berdasarkan ID" icon="gtk-execute" />
                                <br/>
                                
                                </group>
                          
                        </page>
                    </notebook>

                </form>
            </field>
        </record>

        <record id="view_notification_user_activation_done" model="ir.ui.view">
            <field name="name">Aktifasi User</field>
            <field name="model">notification.user.activation.done</field>
            <field name="arch" type="xml">
                <form string="Aktifasi User Per SKPD" version="7.0">
                    <separator string="Selesai"/>
                    
                    <footer>
                        <div>
                            <button special="cancel" string="OK" class="oe_highlight"/>
                        </div>
                    </footer>
                 </form>
            </field>
      </record>


        <record id="skp_app_configuration_action" model="ir.actions.act_window">
            <field name="name">Konfigurasi Umum SKP</field>
            <field name="res_model">app.skp.settings</field>
            <field name="view_mode">form</field>
            <field name="target">inline</field>
        </record>
        <menuitem id="menu_skp_all_admin_configuration" name="Konfigurasi Proses Admin" parent="df_project.menu_penilaian_prestasi_kerja" sequence="200" 
		groups="base.group_no_one"/>
        <menuitem id="menu_skp_app_configuration" parent="menu_skp_all_admin_configuration" 
            sequence="1" action="skp_app_configuration_action"/>
    
	</data>
</openerp>